"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = function (_ref) {
  var Plugin = _ref.Plugin;
  var t = _ref.types;

  return new Plugin("flow-comments", {
    visitor: {
      FlowDeclaration: function FlowDeclaration() {
        this.addComment("leading", ":: " + this.getSource());
        this.dangerouslyRemove();
      },

      Flow: function Flow() {
        var comment = this.getSource();
        if (comment[0] !== ":") comment = ":: " + comment;
        this.addComment("trailing", comment);
        this.replaceWith(t.noop());
      }
    }
  });
};

module.exports = exports["default"];